#view-allocateReserve {
  #allocateReserve-text {
    margin-bottom: 2em;
  }

  #allocateReserve-textMore {
    margin-top: 2em;
  }

  #allocateReserve-balance div {
    float: right;
  }

  #allocateReserve-field-elements-B {
    position: relative;
    z-index: 99999;
    float: right;
    margin: -65px 12px 0 0;

    #allocateReserve-symbol {
      display: inline-block;
      color: $grey;
      font-weight: $semi-bold;
      background: transparent;
      margin: 10px 6px 0 0;

      @include font-size();
      @include border-radius();
    }

    #allocateReserve-max-button {
      display: inline-block;
      min-height: 5px;
      margin: -4px 1px 0 0;
      padding: 5px 9px;
      background: #555;
      border: 0 solid transparent !important;
      color: #fff;
      font-weight: 700;
      letter-spacing: 0.5px;

      &.disabled {
        background: #bbb;
        border-color: 1px solid #999;
      }
    }
  }

  #allocateReserve-amount {
    height: 57px;
    width: 100%;
    margin-top: 10px;

    @include font-size($xl-font-size);

    padding-right: 140px;

    /* run text toward transparency under textbox buttons */
    background: linear-gradient(to right, #333, #333, rgba(1, 1, 1, 0));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(125, 125, 125, 0.5);
  }

  #allocateReserve-spinner {
    display: none;
    background: linear-gradient(rgba(255,255,255,0.6),rgba(255,255,255,0.7),rgba(255,255,255,0.3));
    top: 80px;
    width: calc(100% - 48px);
    height: calc(100% - 80px);
    padding-top: 0;
    text-align: center;
    position: absolute;
    .spinner-loader {
      margin-top: 25vh;
      margin-left: 0;
    }
  }

  #allocateReserve-spinner-message {
    margin-top: 24px;
    font-size: 1.2em;
    font-weight: bold;
  }


  #allocateReserve-confirm {
    text-transform: capitalize;
  }
}
